
Name:    ktp-text-ui
Summary: Telepathy text chat handler 
Version: 0.3.1
Release: 1%{?dist}

# GPLv2+: most code
# (BSD or AFL): data/styles/renkoo.AdiumMessageStyle
# MIT:  data/styles/simkete/, fadomatic javascript code used in Renkoo
License: GPLv2+ and (BSD or AFL) and MIT
URL:     https://projects.kde.org/projects/extragear/network/telepathy/%{name}
Source0: http://download.kde.org/unstable/kde-telepathy/%{version}/src/%{name}-%{version}.tar.bz2

BuildRequires: dos2unix
BuildRequires: gettext
BuildRequires: kdelibs4-devel
BuildRequires: ktp-common-internals-devel >= %{version}

#-----------------------------------------------------------------------------
#-- The following OPTIONAL packages could NOT be located on your system.
#-- Consider installing them to enable more features from this software.
#-----------------------------------------------------------------------------
#   * TelepathyLoggerQt4 (Needed for optional backlog support in the chat-window or higher)  <FALSE>
#     Qt4 wrapper around telepathy-logger

Requires: kdebase-runtime%{?_kde4_version: >= %{_kde4_version}}
Requires: ktp-accounts-kcm

Obsoletes: telepathy-kde-text-ui < 0.3.0
Provides:  telepathy-kde-text-ui = %{version}-%{release}

%description
%{summary}.

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}
Obsoletes: telepathy-kde-text-ui-devel < 0.3.0
Provides:  telepathy-kde-text-ui-devel = %{version}-%{release}
Requires:  ktp-common-internals-devel
BuildArch: noarch
%description devel
%{summary}.


%prep
%setup -q 

# looks like someone cat'd several files with different encoding (and line endings)
# into one.  we'll do our best to make it usable
mac2unix 'data/styles/renkoo.AdiumMessageStyle/Contents/Resources/Renkoo LICENSE.txt'


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} --all-name --with-kde


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%doc COPYING 
%doc data/styles/renkoo.AdiumMessageStyle/Contents/Resources/Renkoo\ LICENSE.txt
%doc data/styles/simkete/Contents/README
%{_kde4_libdir}/libktpchat.so
%{_kde4_libdir}/kde4/kcm_ktp_chat_appearance.so
%{_kde4_libdir}/kde4/kcm_ktp_chat_behavior.so
%{_kde4_libexecdir}/ktp-adiumxtra-protocol-handler
%{_kde4_libexecdir}/ktp-text-ui
%{_kde4_datadir}/kde4/services/kcm_ktp_chat_appearance.desktop
%{_kde4_datadir}/kde4/services/kcm_ktp_chat_behavior.desktop
%{_kde4_appsdir}/ktelepathy/
%{_kde4_appsdir}/ktp-text-ui/
%{_kde4_datadir}/kde4/services/adiumxtra.protocol
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.KTp.TextUi.service
%{_datadir}/telepathy/clients/KTp.TextUi.client

%files devel
%{_kde4_includedir}/KTp/*


%changelog
* Mon Apr 02 2012 Rex Dieter <rdieter@fedoraproject.org> 0.3.1-1
- 0.3.1

* Fri Feb 10 2012 Rex Dieter <rdieter@fedoraproject.org> 0.3.0-6
- -devel: fix typo in Requires

* Fri Feb 10 2012 Rex Dieter <rdieter@fedoraproject.org> 0.3.0-5
- -devel: Requires: ktp-common-internals-devel

* Fri Feb 10 2012 Rex Dieter <rdieter@fedoraproject.org> 0.3.0-4
- mac2unix '.../Renkoo LICENSE.txt'

* Fri Feb 10 2012 Rex Dieter <rdieter@fedoraproject.org> 0.3.0-3
- %%doc data/styles/simkete/Contents/README 
- fix %%doc Renkoo\ LICENSE.txt 
- License: clarify MIT for data/styles/simkete too

* Tue Feb 07 2012 Rex Dieter <rdieter@fedoraproject.org> 0.3.0-2
- drop BR: desktop-file-utils telepathy-qt4-devel
- %%post/%%postun ldconfig scriptlets
- License: GPLv2+ and (BSD or AFL) and MIT

* Wed Jan 25 2012 Rex Dieter <rdieter@fedoraproject.org> 0.3.0-1
- 0.3.0

* Fri Nov 25 2011 Rex Dieter <rdieter@fedoraproject.org> 0.2.0-1
- 0.2.0

* Thu Sep 15 2011 Rex Dieter <rdieter@fedoraproject.org> 0.1.0-2
- fix Source0 URL
- fix tabs/spaces

* Fri Aug 12 2011 Rex Dieter <rdieter@fedoraproject.org> 0.1.0-1
- first try


